;=============================================================================
;  SETSETGS   Paradox 4.5 DOS
;  Author: Greg T. Prachyl  Ennis, Tx
;  Date: 6/95
;  Note: This script has little or no error handling.  It could be nicely
;     enhanced, but I don't have the time!  I only wrote what I needed now.
;     You may well have a situation that I don't.  Please REVIEW it before
;     using it; BACKUP your data; TEST it; do whatever you wish with it.
;     Requires Table Tabsetgs created by related script GETSETGS.
;     GETSETGS requires Paradox 4.5 DOS
;  Procedure:  Clear Valchecks then Set ValChecks & Settings for FIELDS in
;     Tables in the current directory that are listed in the Tabsetgs table.
;  VIEW Tabsetgs before you run this and browse the data, especially the
;     DEFAULT column.  I have found garbage characters appended to default
;     values.  I can't be certain where these are coming from.  I would be
;     interested to know if others get this garbage.
;  Please Use freely while understanding that I will not be responsible
;     for any aspect of its' use.
;  Delete the following RETURN to run, after reading the above.

RETURN " Please edit and review the SETSETGS script before running "

SAVETABLES
CLEARALL
RESET
VIEW "Tabsetgs"
HOME
WHILE True
   COPYTODYNARRAY Set
   VIEW Set["TABLE"]
   CurrTab = TABLE()
   EDITKEY
   CTRLHOME
   RIGHT
   {Valcheck} {Clear} {All}              ; clear current valchecks
   DO_IT!
   EDITKEY
   WHILE Set["TABLE"] = CurrTab
      MOVETO Set["TABLE"]
      FOREACH One IN SET

;  LOOKUPHELP & LOOKUPFILL are used when LOOKUP is processed.
;  DECIMAL PLACES is used when FORMAT is processed.

         IF (NOT Set[One] > "") OR
            One = "TABLE" OR
            One = "FIELD" OR
            One = "DECIMAL PLACES" OR
            One = "LOOKUPHELP" OR
            One = "LOOKUPFILL" OR
            One = "POSITION" OR
            One = "WIDTH" OR
            Set[One] = "False" THEN
            LOOP
         ENDIF
         MOVETO FIELD Set["FIELD"]
         MESSAGE " Placing Valchecks & Settings for: ", CurrTab
         
         IF One = "FORMAT" THEN
            {Image} SELECT One ENTER
            SELECT Set[One]
            IF NOT MATCH(Set[One], "..YY..") THEN
               SELECT Set["DECIMAL PLACES"]
            ENDIF
         ELSE
            {Valcheck} {Define} ENTER
            SWITCH
               CASE One = "MIN" :
                  SELECT "Lowvalue"
                  SELECT Set["MIN"]
               CASE One = "MAX" :
                  SELECT "Highvalue"
                  SELECT Set["MAX"]
               CASE One = "DEFAULT" :
                  SELECT "Default"
                  SELECT Set["DEFAULT"]
               CASE One = "PICTURE" :
                  SELECT "Picture"
                  SELECT Set["Picture"]
               CASE One = "LOOKUP" :
                  SELECT "TableLookup"
                  SELECT Set[One]
                  IF Set["LOOKUPFILL"] = "True" THEN
                     SELECT "AllCorrespondingFields"
                     IF Set["LOOKUPHELP"] = "True" THEN
                        SELECT "HelpAndFill"
                     ELSE
                        SELECT "FillNoHelp"
                     ENDIF
                  ELSE
                     SELECT "JustCurrentField"
                     IF Set["LOOKUPHELP"] = "True" THEN
                        SELECT "HelpAndFill"
                     ELSE
                        SELECT "PrivateLookUp"
                     ENDIF
                  ENDIF
               CASE One = "REQUIRED" :
                  SELECT "REQUIRED"
                  SELECT "Yes"
               CASE One = "AUTO-FILLED" :
                  SELECT "AUTO"
                  SELECT "Filled"
                  SELECT "Yes"
               CASE One = "AUTO-PICTURE" :
                  SELECT "AUTO"
                  SELECT "Picture"
                  SELECT "Yes"
               CASE One = "AUTO-LOOKUP" :
                  SELECT "AUTO"
                  SELECT "Lookup"
                  SELECT "Yes"
            ENDSWITCH
         ENDIF
      ENDFOREACH
      MOVETO "Tabsetgs"
      IF ATLAST() THEN QUITLOOP ENDIF
      DOWN
      COPYTODYNARRAY Set
   ENDWHILE
   MOVETO CurrTab
   {Image} {Keepset}
   DO_IT!
   CLEARIMAGE
   IF ATLAST() THEN QUITLOOP ENDIF
ENDWHILE
SAVETABLES
CLEARALL
RESET
;=============================================================================
